Bug 143153 - Editing Crash when grouping Text (Fit to Frame) and object
Summary: Editing Crash when grouping Text (Fit to Frame) and object
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2 tar...
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2021-07-02 05:27 UTC by Alistair Saywell
Modified: 2021-07-12 22:30 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["sd::DrawViewShell::GetMenuStateSel(SfxItemSet &)"]
Regression By:


Attachments
Gif of crash action (3.24 MB, image/gif)
2021-07-06 10:34 UTC, Alistair Saywell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alistair Saywell 2021-07-02 05:27:45 UTC
Crash when grouping:
1. Create a circle
2. Click the Text Box icon, click once on the page and type A
3. Right-click on the text box frame, select Text; untick Fit Height to Text and untick Fit Width To Text, tick Fit To Frame.
4. Group the two items and crash.

If the file is saved and closed before grouping, then the objects can be grouped on re-opening the file. If you then go into the group and re-apply the Fit To Frame then crash happens on exiting the group.

Reproducible: Always. 
Did not try in Safe Mode, but tried also in LO 7.2 alpha Dev which also crashes.

Looks similar to tdf#117937 but that is marked as resolved

Version: 7.0.6.2 (x64)
Build ID: 144abb84a525d8e30c9dbbefa69cbbf2d8d4ae3b
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: en-NZ (en_NZ); UI: en-GB
Calc: CL
Comment 1 Alistair Saywell 2021-07-06 10:34:29 UTC
Created attachment 173375 [details]
Gif of crash action

As this is a dynamic issue, that is, it happens during an action it is better to reproduce or see the effect which this attachment does.
Comment 2 Xisco Faulí 2021-07-07 09:46:28 UTC
Reproduced in

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: eac5977bfc11797eda356560a5e45c51108ef5a1
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 Xisco Faulí 2021-07-07 09:55:52 UTC
Not reproducible in

Version: 6.1.0.0.alpha1+
Build ID: 3a801799536e6870f2fb111b1cc00b9575a35a39
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 4 raal 2021-07-07 16:03:05 UTC
Error messages in CLI: GtkGrid does not have a child property called fill
GtkGrid does not have a child property called expand

Adding CC to Caolán, maybe the errors are relevant.. Thanks
Comment 5 Caolán McNamara 2021-07-08 13:15:07 UTC
The warnings are unrelated, but also worth fixing.

I can reproduce the original problem too so I'll have a go at fixing that.
Comment 6 Commit Notification 2021-07-08 15:40:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/321436d7bb9087a92e8f69cc948bb3ebb23049c7

Related: tdf#143153 these are GtkBox properties not GtkGrid ones

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-07-08 15:41:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/36e1f1f5e7da5563ba721874e15a92b874ae1c5f

Resolves: tdf#143153 null-deref on grouping fit-to-frame obj with another

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2021-07-08 15:42:42 UTC
backports to 7-2 and 7-1 in gerrit
Comment 9 Commit Notification 2021-07-09 08:00:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/72ab4596657fd71311b9d40f7d8a9236adab425a

Related: tdf#143153 these are GtkBox properties not GtkGrid ones

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2021-07-09 08:01:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/3e3e0bd5a4952506aad1ee88c037f045ef594d54

Resolves: tdf#143153 null-deref on grouping fit-to-frame obj with another

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2021-07-09 09:18:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/f2290187dcd59f159c560a47629b5d3897be1864

Resolves: tdf#143153 null-deref on grouping fit-to-frame obj with another

It will be available in 7.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2021-07-12 08:03:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1-5":

https://git.libreoffice.org/core/commit/e7a086fcd10031a15d1bfda32c306834ba8a7526

Resolves: tdf#143153 null-deref on grouping fit-to-frame obj with another

It will be available in 7.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.